Summary:        Utility for storing small metadata in the LUKSv1 header
Name:           luksmeta
Version:        9
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://github.com/latchset/%{name}
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Patch3000:      luksmeta-9-tests.patch
Patch3001:      luksmeta-9-relax-layout-assumptions.patch
Patch3002:      Define-log-callback-function-to-use-with-libcryptset.patch

BuildRequires:  make gcc
BuildRequires:  asciidoc
BuildRequires:  pkgconfig cryptsetup cryptsetup-devel
Requires:       lib%{name} = %{version}-%{release}

%description
This package provides a command line utility for storing small portions of metadata in the 
UKSv1 header for use before unlocking the volume.

%package -n lib%{name}
Summary:        Library for storing small metadata in the LUKSv1 header

%description -n lib%{name}
This package contains C library for the LUKSMeta.

%package -n lib%{name}-devel
Summary:        Development files for libluksmeta
Requires:       lib%{name} = %{version}-%{release}
Requires:       pkgconfig

%description -n lib%{name}-devel
This package contains development files for the LUKSMeta library.

%prep
%autosetup

%build
%configure
%make_build

%install
rm -rf %{buildroot}
%make_install
rm -rf %{buildroot}/%{_libdir}/libluksmeta.la

%check
%make_build check

%files
%{_bindir}/luksmeta
%{_mandir}/man8/luksmeta.8*

%files -n lib%{name}
%license COPYING
%{_libdir}/libluksmeta.so.*

%files -n lib%{name}-devel
%{_includedir}/luksmeta.h
%{_libdir}/libluksmeta.so
%{_libdir}/pkgconfig/luksmeta.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Wang Guodong <gordonwwang@tencent.com> - 9-1
- package init.
